VERSION 5.00
Object = "{D7EC6EC1-1CDF-11D7-8344-00C1261173F0}#1.0#0"; "CSXIMAGETRIAL.OCX"
Begin VB.Form fMain 
   Caption         =   "csXImage Unicode Demo"
   ClientHeight    =   5730
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6360
   LinkTopic       =   "Form1"
   ScaleHeight     =   5730
   ScaleWidth      =   6360
   StartUpPosition =   3  'Windows Default
   Begin csXImageTrial.ImageBox ImageBox1 
      Height          =   4500
      Left            =   840
      TabIndex        =   0
      Top             =   240
      Width           =   4500
      ColorFormat     =   7
      MergeTransparent=   0   'False
      MergeTransparentColor=   16777215
      MergeTransparency=   0
      MergeStyle      =   1
      MergeLeft       =   0
      MergeTop        =   0
      JPEGQuality     =   90
      XPelsPerMeter   =   0
      YPelsPerMeter   =   0
      XDPI            =   0
      YDPI            =   0
      BeginProperty TextFont {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      PenColor        =   0
      PenMode         =   4
      PenWidth        =   1
      PenStyle        =   0
      BrushColor      =   16777215
      BrushStyle      =   0
      BGColor         =   16777215
      Transparent     =   0   'False
      Resample        =   0   'False
      DoubleBuffered  =   0   'False
      Enabled         =   -1  'True
      Object.Visible         =   -1  'True
      Cursor          =   0
      HelpType        =   0
      HelpKeyword     =   ""
      TextTransparent =   0   'False
      TextAngle       =   0
      BMPHandle       =   0
      FloodFillStyle  =   0
      FloodFillColor  =   0
      MergeReverse    =   0   'False
      UseSelection    =   0   'False
      SelectionVisible=   -1  'True
      FFO_Caption     =   ""
      FFO_CaptionWriter=   ""
      FFO_Headline    =   ""
      FFO_SpecialInstructions=   ""
      FFO_Category    =   ""
      FFO_Byline      =   ""
      FFO_BylineTitle =   ""
      FFO_Credit      =   ""
      FFO_Source      =   ""
      FFO_ObjectName  =   ""
      FFO_City        =   ""
      FFO_ProvinceState=   ""
      FFO_CountryName =   ""
      FFO_OTR         =   ""
      FFO_CopyrightNotice=   ""
      FFO_ImageURL    =   ""
      FFO_Urgency     =   0
      FFO_DateCreated =   0
      FFO_CopyrightFlag=   0   'False
      PrintOrientation=   0
      PrintLeft       =   0
      PrintTop        =   0
      PrinterIndex    =   -1
      PrintUnits      =   0
      UsePrintDialog  =   -1  'True
      PrintCopies     =   0
      PrintScale      =   100
      PrintFit        =   0   'False
      PrintCentre     =   0   'False
      UseLZW          =   -1  'True
      ScrollBarHorizPos=   0
      ScrollBarVertPos=   0
      KeepScrollPos   =   0   'False
      Compression     =   0
      FilterType      =   1
      Zoom            =   100
      TextJustify     =   0
   End
   Begin VB.CommandButton cmdDraw 
      Caption         =   "Draw Map"
      Height          =   495
      Left            =   2400
      TabIndex        =   1
      Top             =   4920
      Width           =   1455
   End
End
Attribute VB_Name = "fMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' A user defined type to hold the names and coordinates of the cities
Private Type City
  Name As String
  X As Integer
  Y As Integer
End Type

Private Cities(5) As City

Private Sub cmdDraw_Click()

' First, set all the data for the city names and positions
With Cities(1)
  .Name = ChrW(&H6771) & ChrW(&H4EAC)  ' Tokyo
  .X = 185
  .Y = 210
End With

With Cities(2)
  .Name = ChrW(&H5927) & ChrW(&H962A)  ' Osaka
  .X = 120
  .Y = 229
End With

With Cities(3)
  .Name = ChrW(&H5E83) & ChrW(&H5CF6)  ' Hiroshima
  .X = 80
  .Y = 227
End With

With Cities(4)
  .Name = ChrW(&H672D) & ChrW(&H5E4C)  ' Sapporo
  .X = 200
  .Y = 61
End With

With Cities(5)
  .Name = ChrW(&H798F) & ChrW(&H5CA1)  ' Fukuoka
  .X = 34
  .Y = 250
End With

With ImageBox1
  ' Start a new image with cyan background
  .BrushColor = vbCyan
  .NewImage 300, 300
  
  ' Draw the four islands using Polygon function
  DrawMap
  
  ' Select the font and other settings
  .TextFont.Name = "Arial Unicode MS"  ' Note: another font can be used here if available
  .TextFont.Size = 15
  .BrushColor = vbBlack
  .PenColor = vbBlack
  .TextJustify = tjCenter
  .TextTransparent = True
  
  ' Draw circles to mark the positions and write the names
  For i = 1 To 5
    .Ellipse Cities(i).X - 2, Cities(i).Y - 2, _
       Cities(i).X + 2, Cities(i).Y + 2
    .DrawText Cities(i).X, Cities(i).Y + 10, Cities(i).Name
  Next i
End With

End Sub

Private Sub DrawMap()

With ImageBox1
  .PenColor = vbBlack
  .BrushColor = &HFFC0FF
  
  .PointAdd 50, 225
  .PointAdd 127, 199
  .PointAdd 178, 154
  .PointAdd 182, 107
  .PointAdd 206, 107
  .PointAdd 217, 135
  .PointAdd 193, 212
  .PointAdd 120, 247
  .PointAdd 100, 224
  .PointAdd 62, 238
  .Polygon
  
  .PointAdd 41, 238
  .PointAdd 20, 249
  .PointAdd 38, 290
  .PointAdd 61, 257
  .Polygon
  
  .PointAdd 64, 245
  .PointAdd 77, 235
  .PointAdd 99, 231
  .PointAdd 105, 241
  .PointAdd 74, 262
  .Polygon
  
  .PointAdd 180, 76
  .PointAdd 215, 28
  .PointAdd 256, 47
  .PointAdd 228, 83
  .Polygon
  
End With

End Sub

